header{
    // min-height: 888px;
    height: 888px;

    background-color: cadetblue;
    background-image: url(../img/travel/header-banner.jpg);
    color: #fff;

    padding: 70px 30px 0 30px;

    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 215px;
    
    nav{
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 100%;

        ul{
            // width: 25%;

            display: flex;
            align-items: center;
            justify-content: space-between;
            li{
                
                button{
                    background-color: transparent;
                    border: 1px solid #fff;
                    border-radius: 4px;
                    color: #fff;
                    cursor: pointer;
                    font-family: "Roboto Medium", sans-serif;
                    font-size: 18px;
                    font-weight: 500;
                    margin: 0 10px;
                    padding: 15px 42px;

                    &:hover{
                        background-color: #fff;
                        color: #1054e2;
                    }
                }

                img{
                    margin-left: 44px;
                    cursor: pointer;
                }
            }
        }

        .side-nav-closed{
            transform: translateX(100%);
        }
        
        .side-nav{
            display: block;
            position: fixed;
            right: 0;
            top: 0;
            height: 100%;
            width: 30%;
            background-color: transparentize($primary-color, $amount: .1);
            z-index: 9;
            padding: 50px 0 0 30px;

            transition: transform .5s ease-in-out;

            .close-btn{
                cursor: pointer;
                
                span{
                    height: 7px;
                    width: 45px;
                    background-color: #fff;
                    position: absolute;
                    border-radius: 5px;

                    &:first-child{
                        transform: rotate(45deg);
                    }

                    &:last-child{
                        transform: rotate(-45deg);
                    }
                }
            }

            ul{
                display: block;
                padding-top: 50px;

                li{
                    font-weight: 400;
                    font-size: 40px; 
                    margin: 30px 0;
                    text-transform: uppercase;
                    
                    a{
                        color: #fff;

                        &:hover{
                            border-bottom: 2px solid #fff;
                        }
                    }
                }
            }
        }
    }

    .banner{
        text-align: center;
        transform: translateY(30%);

        h1, h3{
            font-family: 'Roboto Regular',sans-serif;
            font-weight: 400;
            margin: 22px auto;
        }

        h1{
            font-size: 52px;
        }

        h3{
            font-size: 24px;
            width: 75%;
        }

        button{
            background-color: #ff9900;
            border: none;
            border-radius: 4px;
            color: #fff;
            cursor: pointer;
            font-family: 'Roboto', sans-serif;
            font-size: 32px;
            font-weight: 700;
            margin: 30px 0;
            padding: 15px 46px;

            &:hover{
                background-color: #ff5e00;
            }
        }
    }

    .search{
        padding: 65px 40px 40px 40px;
        width: 90%;
        height: 290px;
        background-color: #fff;
        transform: translateY(140px);
        border-radius: 10px;
        box-shadow: 0 0 10px 1px rgba(170, 170, 170, 0.658);
        color: #000;

        form{
            height: 100%;
            // background: rgba(52, 89, 191, 0.686);
            display: flex;
            flex-wrap: wrap;
            // flex-direction: column;
            align-content: space-between;
            // align-items: center; 
            
            .row{
                width: 100%;
                height: 40px;
                position: relative;
                // background: red;
                
                a {
                    // background-color: $primary-color;
                padding:  20px 30px;
                margin-right: 15px;
                font-size: 16px;
                text-transform: capitalize;
                border: 1px solid $primary-color;
                color: $primary-color;
                border-radius: 4px;
                
                    &:hover{
                        background-color: $primary-color;
                        color: #fff;
                    }
                }

                input, select{
                    height: 100%;
                    background-color: #e4e3e3;
                    border: none;
                    border-radius: 3px;
                    padding: 0 20px;
                }

                input{

                    &:placeholder-shown{
                        font-family: 'Roboto', sans-serif;
                        font-size: 16px;
                        // color: #444;
                        font-weight: 500;
                    }
                }
                
                &:nth-child(2){
                    display: flex;
                    
                    input{
                        width: 25%;
                        margin-right: 2px;

                        
                        &:last-child{
                            margin: 0;
                        }
                    }

                }

                &:last-child{
                    display: flex;
                    justify-content: space-between;

                    .input-grp{
                        // background-color: gainsboro;
                        display: flex;
                        justify-content: space-evenly;

                        input, select{
                            margin-right: 20px;
                        }

                        input[type=number]{
                            width: 100px;
                            padding-left: 25px;

                            &::-webkit-inner-spin-button{
                                display: none;
                                
                            }
                        }
                    }

                    input[type=submit]{
                        text-transform: uppercase;
                        background-color: #ff9900;
                        cursor: pointer;
                        color: #fff;
                        font-weight: 700;
                        letter-spacing: .5px;

                        &:hover{
                            background-color: #ff5e00;

                        }
                    }
                }

                .input-with-cal-icon{
                    position: relative;
                    width: 25%;
                    margin-right: 2px; 
                    
                    input{
                        width: 100%;
                        padding-left: 40px;

                    }
                    
                    i.calender-icon{
                        height: 25px;
                        width: 25px;
                        background: url(../img/travel/sprite.png) no-repeat;
                        background-position: -2px -1px;
                        position: absolute;
                        top: 7px;
                        left: 7px;
                    }
                }

                .input-with-man-icon{
                    position: relative;
                    width: 100px;
                    margin-right: 20px;

                    i.man-icon{
                        height: 30px;
                        width: 14px;
                        // background-color: forestgreen;
                        background: url(../img/travel/sprite.png) no-repeat;
                        background-position: -2px -36px;
                        position: absolute;
                        top: 7px;
                        left: 7px;
                    }
                }
            }   
        }   
    }
}
